| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Classes | Typedefs | Enumerations
Terrain
Optional Components

Editable Terrain System with LOD, serialization and Paging support. More...

## Classes
class | Ogre::Terrain
| The main containing class for a chunk of terrain. More...
class | Ogre::TerrainAutoUpdateLod
| Terrain automatic LOD loading. More...
class | Ogre::TerrainAutoUpdateLodByDistance
| Class implementing TerrainAutoUpdateLod interface. More...
class | Ogre::TerrainAutoUpdateLodFactory
class | Ogre::TerrainGlobalOptions
| Options class which just stores default options for the terrain. More...
class | Ogre::TerrainGroup
| Helper class to assist you in managing multiple terrain instances that are connected to each other. More...
class | Ogre::TerrainLayerBlendMap
| Class exposing an interface to a blend map for a given layer. More...
struct | Ogre::TerrainLayerDeclaration
| The definition of the information each layer will contain in this terrain. More...
struct | Ogre::TerrainLayerSampler
| Description of a sampler that will be used with each layer. More...
struct | Ogre::TerrainLayerSamplerElement
| Information about one element of a sampler / texture within a layer. More...
class | Ogre::TerrainLodManager
| Terrain LOD data manager. More...
class | Ogre::TerrainMaterialGenerator
| Class that provides functionality to generate materials for use with a terrain. More...
class | Ogre::TerrainMaterialGeneratorA
| A TerrainMaterialGenerator which can cope with normal mapped, specular mapped terrain. More...
class | Ogre::TerrainPagedWorldSection
| A world section which includes paged terrain. More...
class | Ogre::TerrainPaging
| This class is the 'core' class for paging terrain, that will integrate with the larger paging system and provide the appropriate utility classes required. More...
class | Ogre::TerrainQuadTreeNode
| A node in a quad tree used to store a patch of terrain. More...

## Typedefs
typedef std::vector< TerrainLayerBlendMap * > | Ogre::TerrainLayerBlendMapList
typedef std::vector< TerrainLayerSamplerElement > | Ogre::TerrainLayerSamplerElementList
typedef std::vector< TerrainLayerSampler > | Ogre::TerrainLayerSamplerList
typedef SharedPtr< TerrainMaterialGenerator > | Ogre::TerrainMaterialGeneratorPtr

## Enumerations
enum | Ogre::TechniqueType { Ogre::HIGH_LOD, Ogre::LOW_LOD, Ogre::RENDER_COMPOSITE_MAP }
enum | Ogre::TerrainAutoUpdateLodStrategy { Ogre::NONE = 0, Ogre::BY_DISTANCE = 1 }
enum | Ogre::TerrainLayerSamplerSemantic { Ogre::TLSS_ALBEDO = 0, Ogre::TLSS_NORMAL = 1, Ogre::TLSS_HEIGHT = 2, Ogre::TLSS_SPECULAR = 3 }
| Enumeration of types of data that can be read from textures that are specific to a given layer. More...

## Detailed Description

Editable Terrain System with LOD, serialization and Paging support.

Some details on the terrain LOD manager.

Some details on the terrain component.

Some details on the terrain auto load.

## Typedef Documentation

## ◆ TerrainLayerBlendMapList

typedef std::vector<TerrainLayerBlendMap*> Ogre::TerrainLayerBlendMapList

## ◆ TerrainLayerSamplerElementList

typedef std::vector<TerrainLayerSamplerElement> Ogre::TerrainLayerSamplerElementList

## ◆ TerrainLayerSamplerList

typedef std::vector<TerrainLayerSampler> Ogre::TerrainLayerSamplerList

## ◆ TerrainMaterialGeneratorPtr

typedef SharedPtr<TerrainMaterialGenerator> Ogre::TerrainMaterialGeneratorPtr

## Enumeration Type Documentation

## ◆ TerrainAutoUpdateLodStrategy

enum Ogre::TerrainAutoUpdateLodStrategy

Enumerator
NONE |
BY_DISTANCE |

## ◆ TerrainLayerSamplerSemantic

enum Ogre::TerrainLayerSamplerSemantic

Enumeration of types of data that can be read from textures that are specific to a given layer.

Notice that global texture information such as shadows and terrain normals are not represented here because they are not a per-layer attribute, and blending is stored in packed texture structures which are stored separately.

Enumerator
TLSS_ALBEDO | Albedo colour (diffuse reflectance colour)
TLSS_NORMAL | Tangent-space normal information from a detail texture.
TLSS_HEIGHT | Height information for the detail texture.
TLSS_SPECULAR | Specular reflectance.

## ◆ TechniqueType

enum Ogre::TechniqueType

Enumerator
HIGH_LOD |
LOW_LOD |
RENDER_COMPOSITE_MAP |